org.apache.lucene.benchmark.byTask.stats

## Class Points

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.stats.Points

-     public class Points
      extends Object

  Test run data points collected as the test proceeds.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Points(Config config)` Create a Points statistics object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearData()` Clear all data, prepare for more tests.
    `TaskStats` | `getCurrentStats()`
    `void` | `markTaskEnd(TaskStats stats, int count)` mark the end of a task
    `TaskStats` | `markTaskStart(PerfTask task, int round)` Mark that a task is starting.
    `List<TaskStats>` | `taskStats()` Return the current task stats.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Points

          public Points(Config config)

      Create a Points statistics object.

  - ### Method Detail

    - #### taskStats

          public List<TaskStats> taskStats()

      Return the current task stats. the actual task stats are returned, so caller should not modify this task stats.
      Returns:
        current `TaskStats`.

    - #### markTaskStart

          public TaskStats markTaskStart(PerfTask task,
                                         int round)

      Mark that a task is starting. Create a task stats for it and store it as a point.
      Parameters:
        `task` - the starting task.
      Returns:
        the new task stats created for the starting task.

    - #### getCurrentStats

          public TaskStats getCurrentStats()

    - #### markTaskEnd

          public void markTaskEnd(TaskStats stats,
                                  int count)

      mark the end of a task

    - #### clearData

          public void clearData()

      Clear all data, prepare for more tests.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.